INSTALLBOOT(8)

NAME
installboot - install a bootstrap on an FFS filesystem partition

SYNOPSIS
installboot [-nv] bootblk device

DESCRIPTION
installboot prepares an FFS filesystem partition for boot-strapping from the PROM. The sparc64 boot process is split into two parts: a small first-stage bootblock that is written into the superblock area of a partition ( and hence is limited in size to SBSIZE - DEV_BSIZE bytes), and a second-stage boot program that resides in the filesystem proper. The first-stage bootblock is loaded into memory by the PROM. After it receives control, it loads the second-stage boot program ofwboot from the filesystem. The second-stage boot program uses the device driver interface to the PROM and the stand-alone filesystem code in “libsa.a” to locate and load the kernel. The first-stage bootblock and second-stage boot program can be found in /usr/mdec/bootblk and /usr/mdec/ofwboot respectively. The second-stage boot program commonly resides in the root directory as /ofwboot.

The options are as follows:

-n  Do not actually write anything on the disk.

-v  Verbose mode.

The arguments are:

bootblk
    The name of the file containing the first-stage bootblock.

device
    The name of the raw device in which the first-stage boot program is to be installed. This should correspond to the block device on which the file system containing ofwboot is mounted.

EXAMPLES
The following commands will install the first-stage bootblock in the root filesystem (assumed to be mounted on “sd0a”) using the file /ofwboot as the second-stage boot program:

    # cp /usr/mdec/ofwboot /ofwboot
    # /usr/mdec/installboot /usr/mdec/bootblk sd0a

SEE ALSO
disklabel(8), init(8)

HISTORY
The installboot first appeared in NetBSD 1.1.